Loading...
Searching...
No Matches
gx_faust_support.h File Reference
`#include <cmath>`
`#include <algorithm>`
`#include "gx_resampler.h"`

Go to the source code of this file.

## Macros

#define | max(x, y)
#define | min(x, y)
#define | FAUSTFLOAT float
#define | N_(String)
#define | NC_(Context, String)
#define | always_inline inline __attribute__((__always_inline__))
#define | FAUSTFLOAT_BUF(buf, len)
#define | FLOAT_BUF(b, s)

## Functions

template<int N>
float | faustpower (float x)
template<int N>
double | faustpower (double x)
template<int N>
int | faustpower (int x)
template<>
int | faustpower< 0 > (int x)
template<>
int | faustpower< 1 > (int x)
template<class T>
T | mydsp_faustpower2_f (T x)
template<class T>
T | mydsp_faustpower3_f (T x)
template<class T>
T | mydsp_faustpower4_f (T x)
template<class T>
T | mydsp_faustpower5_f (T x)
template<class T>
T | mydsp_faustpower6_f (T x)

## Macro Definition Documentation

## always_inline

#define always_inline inline __attribute__((__always_inline__))

Definition at line 32 of file gx_faust_support.h.

## FAUSTFLOAT

#define FAUSTFLOAT float

Definition at line 23 of file gx_faust_support.h.

Referenced by gx_engine::DrumSequencer::compute(), and gx_engine::DrumSequencer::compute_static().

## FAUSTFLOAT_BUF

#define FAUSTFLOAT_BUF | ( |  | buf,
|  |  | len )

Value:
FAUSTFLOAT *buf=(FAUSTFLOAT*)alloca(sizeof(FAUSTFLOAT)*len)
FAUSTFLOAT
#define FAUSTFLOAT
Definition gx_faust_support.h:23

Definition at line 37 of file gx_faust_support.h.

## FLOAT_BUF

#define FLOAT_BUF | ( |  | b,
|  |  | s )

Value:
float *b=(float*)alloca(sizeof(float)*s)

Definition at line 38 of file gx_faust_support.h.

## max

#define max | ( |  | x,
|  |  | y )

Value:
(((x) > (y)) ? (x) : (y))

Definition at line 7 of file gx_faust_support.h.

Referenced by CmdConnection::update_maxlevel().

## min

#define min | ( |  | x,
|  |  | y )

Value:
(((x) < (y)) ? (x) : (y))

Definition at line 8 of file gx_faust_support.h.

## N_

#define N_ | ( |  | String | ) |

Value:
(String)

Definition at line 25 of file gx_faust_support.h.

Referenced by PluginUI::get_category().

## NC_

#define NC_ | ( |  | Context,
|  |  | String )

Value:
(String)

Definition at line 28 of file gx_faust_support.h.

## Function Documentation

## faustpower() [1/3]

template<int N>

double faustpower | ( | double | x | ) |

inline

Definition at line 11 of file gx_faust_support.h.

## faustpower() [2/3]

template<int N>

float faustpower | ( | float | x | ) |

inline

Definition at line 10 of file gx_faust_support.h.

Referenced by faustpower().

## faustpower() [3/3]

template<int N>

int faustpower | ( | int | x | ) |

inline

Definition at line 12 of file gx_faust_support.h.

## faustpower< 0 >()

template<>

int faustpower< 0 > | ( | int | x | ) |

inline

Definition at line 13 of file gx_faust_support.h.

## faustpower< 1 >()

template<>

int faustpower< 1 > | ( | int | x | ) |

inline

Definition at line 14 of file gx_faust_support.h.

## mydsp_faustpower2_f()

template<class T>

T mydsp_faustpower2_f | ( | T | x | ) |

inline

Definition at line 17 of file gx_faust_support.h.

## mydsp_faustpower3_f()

template<class T>

T mydsp_faustpower3_f | ( | T | x | ) |

inline

Definition at line 18 of file gx_faust_support.h.

## mydsp_faustpower4_f()

template<class T>

T mydsp_faustpower4_f | ( | T | x | ) |

inline

Definition at line 19 of file gx_faust_support.h.

## mydsp_faustpower5_f()

template<class T>

T mydsp_faustpower5_f | ( | T | x | ) |

inline

Definition at line 20 of file gx_faust_support.h.

## mydsp_faustpower6_f()

template<class T>

T mydsp_faustpower6_f | ( | T | x | ) |

inline

Definition at line 21 of file gx_faust_support.h.